#define SHOKI_TYPE	"FP"
#define SHOKI_LOG_NAME	SHOKI_LOG_NAME_FP

#define MAX_PASSIVE_FPRINTS 56

struct ttllist
{
	u_int8_t ttl;
	struct ttllist *next;
};

struct winlist
{
	u_int32_t win;
	struct winlist *next;
};

struct toslist
{
	u_int8_t tos;
	struct toslist *next;
};

struct dflist
{
	int df;
	struct dflist *next;
};

struct seqlist
{
	u_int32_t seq;
	u_int32_t sec;
	struct seqlist *next;
};

struct hlist
{
	u_int32_t addr;
	struct seqlist *seqs;
	int fps[MAX_PASSIVE_FPRINTS];
	int index;
	struct hlist *next;
};

struct pfprint
{
	char *os;
	char *version;
	char *platform;
	int ttl;
	int win_low;
	int win_high;
	int df;
	int tos;
	int index;
	struct pfprint *next;
};

int cleanup(int);
void change_log();
void open_dump();
void capture_loop();
void close_dump();
void change_dump();
void clean_kids();

void compile_filters(pcap_t *, bpf_u_int32, int);
void compile_fcodes(char *, bpf_u_int32);
struct bpf_program compile_fcode(int ,bpf_u_int32);
void compile_regexen();

char *getname(const u_char *);
char *intoa(u_int32_t);

void parse_shoki_config(const char *);
char *read_file(char *fname);
void default_formats(int d_f[], char *d_d[], int d_t[]);

pcap_t *fake_pcap(pcap_t *, int);
char *get_filter(char **);

void report();
void read_passive_fingerprints(const char *);
void read_zdumps(char *, pcap_handler);
