#define SHOKI_TYPE      "SERVICE"
#define SHOKI_LOG_NAME	SHOKI_LOG_NAME_SERVICE

#define PHASHSIZE       65537
#define HHASHSIZE       65537

void read_dump(char *);
void cleanup(int);
void clean_kids();
void parse_input(char *);
void parse_line(char *);
void parse_header(const u_char *, int, int, const struct pcap_pkthdr *);
void parse_packet(register const u_char *, register u_int, register const u_char *, register u_char, register const struct timeval *, int);
void print_ports();
void print_hosts();

struct histlist
{
	int phash[PHASHSIZE];
	int hhash[HHASHSIZE];
	int index;
	u_int32_t rhhash[HHASHSIZE];
	struct histlist *next;
};


#define SWAPLONG(y) \
((((y)&0xff)<<24) | (((y)&0xff00)<<8) | (((y)&0xff0000)>>8) | (((y)>>24)&0xff))
#define TCPDUMP_MAGIC 0xa1b2c3d4

void read_zdumps(char *, pcap_handler);
