/* From the tcpdump source */
#define TCPDUMP_MAGIC 0xa1b2c3d4
#define SWAPLONG(y) \
((((y)&0xff)<<24) | (((y)&0xff00)<<8) | (((y)&0xff0000)>>8) | (((y)>>24)&0xff))

int dumbsearch(const char *, int, const char *, int);
int regexsearch(const char *, int, const regex_t *, int);
pcap_t *fake_pcap(pcap_t *, int);
void compile_filters(pcap_t *, bpf_u_int32, int);
void compile_fcodes(pcap_t *, bpf_u_int32, int);
struct bpf_program compile_fcode(pcap_t *, int, bpf_u_int32);

void read_zdump(char *, pcap_handler);
void read_zdumps(char *, pcap_handler);
void read_wee_zdump(char *);
void pcap_print_pt(u_char *, const struct pcap_pkthdr *, const u_char *);
char *get_filter(char **);
void make_fake(char *);
void default_formats(int d_f[], char *d_d[], int d_t[]);
int check_frag(const struct pcap_pkthdr *, const u_char *);
int frag_reassemble(u_short);

/* Curse you, penguin! */
struct real_pcap_pkthdr {
	struct timeval ts;
	bpf_u_int32 caplen;
	bpf_u_int32 len;
};

struct linux_kludge_pkthdr {
	int ifindex;
	unsigned short protocol;
	unsigned char pkt_type;
};


struct wee_timeval
{
	int32_t tv_sec;
	int32_t tv_usec;
};

struct wee_pcap_pkthdr
{
	struct wee_timeval ts;
	bpf_u_int32 caplen;
	bpf_u_int32 len;
};

struct wee_linux_kludge_pkthdr {
	int32_t ifindex;
	unsigned short protocol;
	unsigned char pkt_type;
};
