#!/usr/bin/perl
#
# This is a simple perl script to aid merging multiple shoki rule files.
# Files to be merged are given on the command line as arguments.  Output
# is to stdout.
#
# Note:  This script indexes rules by the ID field.  If multiple rules
# have the same ID, the lattermost one will be the only one that gets
# written.
#

&main();
exit(0);

sub main
{
	&read_input();
	&write_output();
}

sub read_input
{
	my(@foo, $line, $file);
	foreach $file (@ARGV)
	{
		open(FILE, "<$file") || ((print "Couldn't read $file\n"),
			next);
		while(<FILE>)
		{
			chomp($line = $_);
			@foo = split('\t', $line);
			$rules{$foo[3]} = $line;
		}
		close(FILE);
	}
}

sub write_output
{
	foreach $foo (sort(keys %rules))
	{
		print "$rules{$foo}\n";
	}
}
